Bug 1044573 - speech-dispatcher spd-conf doesn't work (packaging)
Summary: speech-dispatcher spd-conf doesn't work (packaging)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: speech-dispatcher
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-18 15:26 UTC by Bill McGonigle
Modified: 2015-03-31 21:41 UTC (History)
2 users (show)

Fixed In Version: speech-dispatcher-0.8.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 07:16:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Bill McGonigle 2013-12-18 15:26:55 UTC
trying to use spd-conf to set up a festival config (for working on Jovie) and finding it doesn't work out of the box.

spd-conf comes as part of the speech-dispatcher package:

$ rpm -qf /usr/bin/spd-conf
speech-dispatcher-0.7.1-11.fc19.x86_64

but fails to run:

$ spd-conf 
Traceback (most recent call last):
  File "/usr/bin/spd-conf", line 6, in <module>
    import speechd_config
ImportError: No module named speechd_config

needing the python-speechd package installed (should probably be a dependency or split off).

With that installed, spd-conf runs, but fails looking for /usr/share/speech-dispathcer/conf:


Do you want to create/setup a 'user' or 'system' configuration [user] :
>
Traceback (most recent call last):
  File "/usr/bin/spd-conf", line 10, in <module>
    sys.exit(speechd_config.main())
  File "/usr/lib64/python2.7/site-packages/speechd_config/config.py", line 911, in main
    configure.complete_config()
  File "/usr/lib64/python2.7/site-packages/speechd_config/config.py", line 832, in complete_config
    self.create_user_configuration()
  File "/usr/lib64/python2.7/site-packages/speechd_config/config.py", line 712, in create_user_configuration
    shutil.copytree(paths.SPD_CONF_ORIG_PATH, test.user_conf_dir())
  File "/usr/lib64/python2.7/shutil.py", line 171, in copytree
    names = os.listdir(src)
OSError: [Errno 2] No such file or directory: '/usr/share/speech-dispatcher/conf'

which doesn't seem to exist in Fedora:

$ rpm -qf /usr/share/speech-dispatcher/conf
error: file /usr/share/speech-dispatcher/conf: No such file or directory

$ rpm -qf /usr/share/speech-dispatcher
error: file /usr/share/speech-dispatcher: No such file or directory

$ yum whatprovides /usr/share/speech-dispatcher/conf
Loaded plugins: auto-update-debuginfo, langpacks
...
No matches found


I haven't gotten it working yet, just putting this up here until I can work on it some more.

Comment 1 Elias Vanderstuyft 2014-06-01 12:54:50 UTC
Confirmed on Fedora 18 with latest updates:

$ spd-conf

Speech Dispatcher configuration tool

Do you want to setup a completely new configuration? [yes] :
>
Do you want to create/setup a 'user' or 'system' configuration [user] :
>
Traceback (most recent call last):
  File "/usr/bin/spd-conf", line 10, in <module>
    sys.exit(speechd_config.main())
  File "/usr/lib64/python2.7/site-packages/speechd_config/config.py", line 911, in main
    configure.complete_config()
  File "/usr/lib64/python2.7/site-packages/speechd_config/config.py", line 832, in complete_config
    self.create_user_configuration()
  File "/usr/lib64/python2.7/site-packages/speechd_config/config.py", line 712, in create_user_configuration
    shutil.copytree(paths.SPD_CONF_ORIG_PATH, test.user_conf_dir())
  File "/usr/lib64/python2.7/shutil.py", line 169, in copytree
    names = os.listdir(src)
OSError: [Errno 2] No such file or directory: '/usr/share/speech-dispatcher/conf'

Comment 2 Fedora End Of Life 2015-01-09 20:54:16 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora Update System 2015-03-20 15:06:31 UTC
speech-dispatcher-0.8.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/speech-dispatcher-0.8.2-1.fc20

Comment 4 Fedora Update System 2015-03-20 15:06:46 UTC
speech-dispatcher-0.8.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/speech-dispatcher-0.8.2-1.fc21

Comment 5 Fedora Update System 2015-03-20 15:06:58 UTC
speech-dispatcher-0.8.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/speech-dispatcher-0.8.2-1.fc22

Comment 6 Fedora Update System 2015-03-22 04:28:25 UTC
Package speech-dispatcher-0.8.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing speech-dispatcher-0.8.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4357/speech-dispatcher-0.8.2-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-23 07:16:20 UTC
speech-dispatcher-0.8.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-31 21:39:44 UTC
speech-dispatcher-0.8.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-31 21:41:01 UTC
speech-dispatcher-0.8.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.